#!/bin/bash

# create Gaussian input files for all .xyz geometries in the current folder
for xyz in *.xyz
do
    name=$(basename $xyz .xyz)
    echo $name

    # write header with route
    cat <<EOF > ${name}.gjf
%Nproc=4
#P PBEPBE/6-31G* Opt nosym

$name

0,1
EOF
    # append molecule geometry
    tail -n +3 $xyz >> ${name}.gjf
    # append newlines
    echo "" >> ${name}.gjf
    echo "" >> ${name}.gjf

done

# execute all Gaussian input files
for gjf in *.gjf
do
    name=$(basename $gjf .gjf)
    g09 < $gjf | tee ${name}.out
done


	   
